OpenNMS API 1.2.9

## org.opennms.web.event.filter
Class NegativePartialUEIFilter

    java.lang.Object
      org.opennms.web.event.filter.NegativePartialUEIFilter

All Implemented Interfaces:
  Filter

public class NegativePartialUEIFilter
extends java.lang.Object
implements Filter

Encapsulates filtering on partial unique event identifiers.

Field Summary
`static java.lang.String` `TYPE`
`protected java.lang.String` `uei`

Constructor Summary
`NegativePartialUEIFilter(java.lang.String uei)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getDescription()` Returns a terse string (including a "=") that describes this filter in such a way to easily be included in an HTTP GET parameter.
`java.lang.String` `getSql()` Returns an expresions for a SQL where clause.
`java.lang.String` `getTextDescription()` Returns a terse but human-readable string describing this filter in such a way to easily be included in a search results list.
`java.lang.String` `getUEI()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

### uei

    protected java.lang.String uei

Constructor Detail

### NegativePartialUEIFilter

    public NegativePartialUEIFilter(java.lang.String uei)

Method Detail

### getSql

    public java.lang.String getSql()

  Description copied from interface: `Filter`
  Returns an expresions for a SQL where clause. Remember to include a trailing space, but no leading AND or OR.

  Specified by:
    `getSql` in interface `Filter`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Filter`
  Returns a terse string (including a "=") that describes this filter in such a way to easily be included in an HTTP GET parameter.

  Some examples:

  - "node=1"
  - "interface=192.168.0.1"
  - "severity=3"
  - "nodenamelike=opennms"

  Specified by:
    `getDescription` in interface `Filter`

### getTextDescription

    public java.lang.String getTextDescription()

  Description copied from interface: `Filter`
  Returns a terse but human-readable string describing this filter in such a way to easily be included in a search results list.

  Some examples (corresponding to the examples in `getDescription`):

  - "node=nodelabel_of_node_1"
  - "interface=192.168.0.1"
  - "severity=Normal"
  - "node name containing \"opennms\""

  Specified by:
    `getTextDescription` in interface `Filter`

### toString

    public java.lang.String toString()

### getUEI

    public java.lang.String getUEI()

### equals

    public boolean equals(java.lang.Object obj)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.